Foreman - Bug #1743

Validation of name parameters always fails
07/10/2012 11:17 PM - Sam Kaottler
Description

Steps to reproduce:

1) Install a fresh version of Foreman from Git (or the nightly builds)

2) Try to add a new record of any type to uses the "name" parameter. Puppetclass, hostgroup, etc.
3) Get a validation error even when the field is valid.

https://skitch.com/skottler/egyct/1-root-ubuntu-12-usr-share-foreman-ssh

Setting the priority to immediate because this seems like a 1.0 release blocker.

Related issues:
Related to Foreman - Bug #2393: Couple of models broken with audited 3.0.0 Closed 04/10/2013
Has duplicate Foreman - Bug #1748: When creating new hostgroup, the name is a... Duplicate 07/12/2012

Associated revisions

Revision 85cc156a - 07/11/2012 02:51 AM - Ohad Levy
fixes #1743 - auditing RC2 breaks foreman, forcing RC1 for now

History

#1 - 07/11/2012 12:57 AM - Michael Coulter

Observing same behaviour. Seen with 1.0-rc and nightly debs. Cranked log_level up to debug and this appears to be the culprit:
WARNING: Can't mass-assign protected attributes: architecture_ids, name, medium_ids, release_name, minor, ptable_ids, major, family

Looking around at the models, some already have attr_accessible declarations and some don't. I'm not sure how this is meant to work, and what
actually provoked the breakage (i.e. is it a foreman related change, or better safety checks in rails).

#2 - 07/11/2012 01:22 AM - Ohad Levy

| wonder if this is only deb/ubuntu, I'll try to have a look, but i have a feeling the rails packages include a few more patches on top of the 3.0.15
release

#3 - 07/11/2012 02:50 AM - Ohad Levy
OK, I can reproduce, it seems a recent gem upgrade has been triggering this change, I'll try to narrow it down and find out which gem changes the

behavior.

#4 - 07/11/2012 02:52 AM - Ohad Levy
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 156a22f 2a1l 4 2 .

#5 - 07/11/2012 08:40 AM - Sam Kottler
Cool! Thanks Ohad.
https://skitch.com/skottler/egyct/1-root-ubuntu-12-usr-share-foreman-ssh
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/85cc156a22f8db8d62a1db953c945a3e29e99ad5

Do you think it makes sense to add a functional test to prevent this from happening again?
